## BtMachineCanvasItem BtMachineCanvasItem — class for the editor machine views machine canvas item |

## Synopsis

    #include "bt-edit.h"

                        BtMachineCanvasItem;
    BtMachineCanvasItem * bt_machine_canvas_item_new        (const BtMainPageMachines *main_page_machines,
                                                             BtMachine *machine,
                                                             gdouble xpos,
                                                             gdouble ypos,
                                                             gdouble zoom);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GnomeCanvasItem
                         +----GnomeCanvasGroup
                               +----BtMachineCanvasItem

## Properties

      "app"                      BtEditApplication*    : Read / Write
      "machine"                  BtMachine*            : Read / Write
      "machines-page"            BtMainPageMachines*   : Read / Write
      "zoom"                     gdouble               : Read / Write

## Signals

      "position-changed"                               : Run Last / No Recursion / No Hooks

## Description

The canvas object emits "position-changed" signal after it has been moved.

## Details

### BtMachineCanvasItem

    typedef struct _BtMachineCanvasItem BtMachineCanvasItem;

the root window for the editor application

### bt_machine_canvas_item_new ()

    BtMachineCanvasItem * bt_machine_canvas_item_new        (const BtMainPageMachines *main_page_machines,
                                                             BtMachine *machine,
                                                             gdouble xpos,
                                                             gdouble ypos,
                                                             gdouble zoom);

Create a new instance

`main_page_machines` : | the machine page the new item belongs to
`machine` : | the machine for which a canvas item should be created
`xpos` : | the horizontal location
`ypos` : | the vertical location
`zoom` : | the zoom ratio
Returns : | the new instance or `NULL` in case of an error

## Property Details

### The `"app"` property

      "app"                      BtEditApplication*    : Read / Write

Set application object, the window belongs to.

### The `"machine"` property

      "machine"                  BtMachine*            : Read / Write

Set machine object, the item belongs to.

### The `"machines-page"` property

      "machines-page"            BtMainPageMachines*   : Read / Write

Set application object, the window belongs to.

### The `"zoom"` property

      "zoom"                     gdouble               : Read / Write

Set zoom ratio for the machine item.

Allowed values: [0,100]

Default value: 1

## Signal Details

### The `"position-changed"` signal

    void                user_function                      (BtMachineCanvasItem *self,
                                                            gpointer             user_data)      : Run Last / No Recursion / No Hooks

signals that item has been moved around.

`self` : | the machine-canvas-item object that emitted the signal
`user_data` : | user data set when the signal handler was connected.